---
import Header from '@/components/Header.astro';
import Footer from '@/components/Footer.astro';
import BaseHead from '@/components/BaseHead.astro';

const { title, description, image } = Astro.props;
 ---

<html lang="en">
	<head>
		<BaseHead title={title} description={description} image={image} />
	</head>

	<body>
		<Header />
		<main class="section prose">
			<slot />
		</main>
		<Footer />
	</body>
</html>